## org.omg.PortableInterceptor
Class ClientRequestInfoHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ClientRequestInfoHelper

public class ClientRequestInfoHelper
extends java.lang.Object

Helper class for : ClientRequestInfo

Author:
  OpenORB Compiler

Constructor Summary
`ClientRequestInfoHelper()`

Method Summary
`static ClientRequestInfo` `extract(Any a)` Extract ClientRequestInfo from an any
`static java.lang.String` `id()` Return the ClientRequestInfo IDL ID
`static void` `insert(Any a, ClientRequestInfo t)` Insert ClientRequestInfo into an any
`static ClientRequestInfo` `narrow(Object obj)` Narrow CORBA::Object to ClientRequestInfo
`static ClientRequestInfo` `read(InputStream istream)` Read ClientRequestInfo from a marshalled stream
`static TypeCode` `type()` Return the ClientRequestInfo TypeCode
`static ClientRequestInfo` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ClientRequestInfo
`static void` `write(OutputStream ostream, ClientRequestInfo value)` Write ClientRequestInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientRequestInfoHelper

    public ClientRequestInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ClientRequestInfo t)

  Insert ClientRequestInfo into an any
  Parameters:
    `a` - an any
    `t` - ClientRequestInfo value

### extract

    public static ClientRequestInfo extract(Any a)

  Extract ClientRequestInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ClientRequestInfo value

### type

    public static TypeCode type()

  Return the ClientRequestInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ClientRequestInfo IDL ID
  Returns:
    an ID

### read

    public static ClientRequestInfo read(InputStream istream)

  Read ClientRequestInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ClientRequestInfo value

### write

    public static void write(OutputStream ostream,
                             ClientRequestInfo value)

  Write ClientRequestInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ClientRequestInfo value

### narrow

    public static ClientRequestInfo narrow(Object obj)

  Narrow CORBA::Object to ClientRequestInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ClientRequestInfo Object

### unchecked_narrow

    public static ClientRequestInfo unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ClientRequestInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ClientRequestInfo Object